SPI_PALLOC(3)

NAME
SPI_palloc - allocate memory in the upper executor context

SYNOPSIS

void * SPI_palloc(Size size)

DESCRIPTION

SPI_palloc allocates memory in the upper executor context.

This function can only be used while connected to SPI. Otherwise, it throws an error.

ARGUMENTS

Size size
    size in bytes of storage to allocate

RETURN VALUE

pointer to new storage space of the specified size